
%global meadversion 0.1.5
%global namedversion 0.1.5.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%{?scl:%scl_package opentracing-contrib-java-tracerresolver} 
%{!?scl:%global pkg_name %{name}}

%bcond_without mead
%bcond_with javadoc

%define maven_version 0.1.5.redhat-00001

Name:		    %{?scl_prefix}opentracing-contrib-java-tracerresolver
Summary:	    Resolver API for OpenTracing Tracer implementations
Version:	    %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Group:          Development/Libraries

%if %with mead
Source102: opentracing-tracerresolver-0.1.5.redhat-00001.jar
Source103: opentracing-tracerresolver-parent-0.1.5.redhat-00001.pom
Source104: opentracing-tracerresolver-0.1.5.redhat-00001-javadoc.jar
Source105: opentracing-tracerresolver-parent-0.1.5.redhat-00001-project-sources.tar.gz
Source106: opentracing-tracerresolver-0.1.5.redhat-00001.pom
Source107: opentracing-tracerresolver-0.1.5.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            https://github.com/opentracing-contrib/java-tracerresolver
Epoch:          0

BuildRoot:      %{_tmppath}/%{name}-%{version}-buildroot
BuildArch:      noarch

%description
%{summary}.

%if %with javadoc
%package javadoc
Summary:        Javadoc for opentracing-contrib-java-tracerresolver
Group:          Development/Java


%description javadoc
Javadoc for opentracing-contrib-java-tracerresolver
%endif

%prep

%if 0
%setup -q -n opentracing-contrib-java-tracerresolver -T -b 100
%endif

%build

%install
rm -rf %{buildroot}
%{__mkdir_p} %{buildroot}%{_javadir}

#jars
%{__cp} -p %{_sourcedir}/opentracing-tracerresolver-%{namedversion}.jar %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/opentracing-tracerresolver-%{namedversion}-sources.jar %{buildroot}%{_javadir}

(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

#javadoc
%if %with javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/opentracing-contrib-java-tracerresolver-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/opentracing-tracerresolver-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/opentracing-contrib-java-tracerresolver-%{namedversion} -x META-INF/\*
(cd $RPM_BUILD_ROOT%{_javadocdir} && ln -s opentracing-contrib-java-tracerresolver-%{namedversion} opentracing-contrib-java-tracerresolver)
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%if 0
%doc README.md
%endif

%{_javadir}/opentracing-tracerresolver-%{namedversion}.jar
%{_javadir}/opentracing-tracerresolver.jar
%{_javadir}/opentracing-tracerresolver-%{namedversion}-sources.jar
%{_javadir}/opentracing-tracerresolver-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/opentracing-contrib-java-tracerresolver
%{_javadocdir}/opentracing-contrib-java-tracerresolver-%{namedversion}
%endif

%changelog
* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.5-1.redhat_00001.1
- 0.1.5.redhat-00001

* Fri Sep 14 2018 Yong Yang <yyang@redhat.com> - 0.1.5.redhat-00001
- Init build
